<?php
require_once 'Matrix.class.php';

function is_ok( $bool, $text){
  print "$text : " . ($bool ? 'Ok': 'Failed') . "\n";
}

$m = new Matrix();

is_ok( $m->_print() == "\n", "newline");

$m->set_col_keys( array("a","b","c"));

print "\ta\tb\tc expected\n";
$m->_print();

$m->set_row_keys( array("d", "e", "f"));
print "\ta\tb\tc\nd\ne\nf expected\n";
$m->_print();

$m->set_value( 'd', 'a', 1);
$m->set_value( 'e', 'a', 2);
print "\ta\tb\tc\n"
    . "d\t1\n"
    . "e\t2 expected\n";
$m->_print();

print_r($m->to_array());
